.icon {
  width: $font-size-base * $line-height-base;
  height: $font-size-base * $line-height-base;
  font-size: $font-size-base * $line-height-base;
  vertical-align: sub;

  @if $icon-stroke-width {
    stroke-width: $icon-stroke-width;
  }

  &:hover {
    text-decoration: none;
  }
}

.icon-inline {
  width: 1.25em;
  height: 1.25em;
  font-size: 1em;
}

.icon-filled {
  fill: currentColor;
}

@each $icon-size, $size in $icon-sizes {
  .icon-#{$icon-size} {
    width: #{$size};
    height: #{$size};
  }
}

.icon-md {
  width: 2.5rem;
  height: 2.5rem;
}
